KENTNL / App-colourhexdump-0.01011318 / Changes

Revision history for App-colourhexdump

0.01011318 2013-05-21T16:46:25Z
 [Dependencies::Added / develop requires]
 - Test::CPAN::Changes 0.19

 [Dependencies::Changed / build requires]
 - Module::Build 0.4004 → 0.4005

 [Dependencies::Changed / configure requires]
 - Module::Build 0.4004 → 0.4005

 [Dependencies::Changed / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL v1.7.2 → v1.7.3

 [Documentation]
 - use Github pages for image instead of github raw access, to be nicer to
   githubs load.
 - https://github.com/blog/1482-
 - https://help.github.com/articles/using-submodules-with-pages

0.01011317 2013-04-09T21:37:30Z
 - Maintenance Release for Module::Build 0.4004

 [Dependencies::Added / develop requires]
 - Pod::Coverage::TrustPod
 - Test::CPAN::Meta
 - Test::Pod 1.41
 - Test::Pod::Coverage 1.08
 - version 0.9901

 [Dependencies::Changed / build requires]
 - Module::Build 0.3601 → 0.4004

 [Dependencies::Changed / configure requires]
 - Module::Build 0.3601 → 0.4004

 [Dependencies::Changed / develop recommends]
 - Dist::Zilla::PluginBundle::Author::KENTNL::Lite 0.01009803 → v1.3.0

 [Dependencies::Changed / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL v1.2.0 → v1.7.2

 [Dependencies::Changed / test requires]
 - Test::More 0.88 → 0.98

 [Documentation]
 - update copyright year
 - add README.mkdn

 [Meta]
 - bug tracker to github issues

 [Packaging]
 - utilise test_requires in Build.PL

0.01011316 2012-03-12T11:37:10Z
 - Maintenance release.

 [Dependencies::Added / runtime requires]
 - perl 5.006
 - strict
 - warnings

 [Dependencies::Changed / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL v1.0.0 → v1.2.0

 [Dependencies::Removed / test requires]
 - English

 [Internals]
 - VERSION declaration moved out of BEGIN
 - All packages declare $AUTHORITY

 [Packaging]
 - Move to git versions.
 - Update LICENSE ( Year, Indent, Address )
 - Moved author/release tests to xt/
 - Github uri's moved to https://
 - Declare x_authority

 [Tests]
 - regenerated 00-compile.t

0.01011315 2011-04-09T07:44:09Z
 [Bugfix]
 - rt#67341 : Moose bailing due to role collision should be solved in this
   release. It would appear I was implicitly importing the same role twice
   for some reason. Thanks Andreas J. König ( ANDK ) for reporting.

 [Dependencies::Added / develop recommends]
 - Dist::Zilla::PluginBundle::Author::KENTNL::Lite 0.01009803

 [Dependencies::Added / develop requires]
 - Dist::Zilla::PluginBundle::Author::KENTNL::Lite

 [Dependencies::Added / develop suggests]
 - Dist::Zilla::PluginBundle::Author::KENTNL

 [Dependencies::Changed / runtime requires]
 - MooseX::Getopt::Dashes 0 → 0.37

 [Dependencies::Removed / develop recommends]
 - Dist::Zilla::PluginBundle::KENTNL::Lite 0.01009803

 [Dependencies::Removed / develop requires]
 - Dist::Zilla::PluginBundle::KENTNL::Lite

 [Dependencies::Removed / develop suggests]
 - Dist::Zilla::PluginBundle::KENTNL 0.01017119

 [Dependencies::Removed / runtime requires]
 - MooseX::Getopt::GLD

 [Internal Notes]
 - previously used "with qw( ::GLD ::Dashes )" in main package, as if
   memory  serves correctly, at some past point this was required for
   correct behaviour.  However, this is no longer true, and ::Dashes now
   imports ::GLD, so if they're both  specified by us, it will be like
   importing ::GLD twice, which will obviously trigger a symbol collision.

 [Packaging]
 - moved to @Author::KENTNL
 - Normalise Changelog for CPAN::Changes.
 - ship perltidyrc

 [Tests]
 - Adds CPAN::Changes tests
 - Drops portability tests

0.01000103 2010-12-20T19:02:48Z
 - Depend on Term::ANSIColour 3.00. A Few silly people don't have that.
 - Add a doclink to the image

 [Dependencies::Changed / runtime requires]
 - Term::ANSIColor 0 → 3.00

0.01000020 2010-12-20T12:42:25Z
 - First version.




Hosting generously
sponsored by Bytemark